
/*****************************************************************************/
/**
 * \file myservo.cpp
 * \author Copyright (c) 2024, Murray R. Van Luyn. <green@bug-eyed.monster>
 * \version 0.0
 * \date 21-04-24
 */
/*****************************************************************************/

/*****************************************************************************
 *
 *     THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
 *     OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *     ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 *     DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *     DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 *     GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *     INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *     WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *     NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 ******************************************************************************/

#include "myservo.h"


/*****************************************************************************
 *
 *                           Private Global Variables
 *
 *****************************************************************************/
// Servo object to control a servo
Servo myservo;


/*****************************************************************************
 *
 *                         Public Function Implementation
 *
 *****************************************************************************/

/*****************************************************************************
 *
 *                               myservo_setup()
 *
 *****************************************************************************/
void myservo_setup()
{
  // Attache the output pin MYSERVO_PIN, to servo the object
  myservo.attach(MYSERVO_PIN);

  return;
}

/*****************************************************************************
 *
 *                              myservo_set_pos()
 *
 *****************************************************************************/
void myservo_set_pos(uint8_t value)
{
  myservo.write(value);

  return;
}