#include <stdio.h>
#include <wiringPi.h>
#include <wiringPiI2C.h>

int fd;

int scale(int valueIn, int baseMin, int baseMax, int limitMin, int limitMax) 
{
  return (((limitMax - limitMin) * (valueIn - baseMin) / (baseMax - baseMin)) + limitMin);
}

int main(void) 
{
  // Initialise I2C Bus
  fd = wiringPiI2CSetup(8);
  
  unsigned int data = 0;
  
  while (1)
  {
    data = wiringPiI2CReadReg16(fd, 1);
    printf("read: %d from reg: %d\n", data, 1);
    
    data = scale(data, 0, 1023, 0, 180);
    
    wiringPiI2CWriteReg16(fd, 0, data);
    printf("wrote: %d to reg: %d\n", data, 0);
    
    data = wiringPiI2CReadReg16(fd, 0);
    printf("read: %d from reg: %d\n", data, 0);
    
    delay(500);
  }
  
  printf("finished!");
  
  return(0);
}
